ots(1)

NAME
ots - a tool for summarizing texts

SYNOPSIS
ots [options] [to-summarize.txt | stdin]

DESCRIPTION
The open text summarizer is an open source tool for summarizing texts. The program reads a text and decides which sentences are important and which are not. OTS will create a short summary or will highlight the main ideas in the text. OTS is both a library and a command line tool. Word processors such as AbiWord and KWord can link to the library and summarize documents while the command line tool lets you summarize text on the console.

  OPTIONS

-r --ratio [0%..100%]
    Select the summary ratio

-d --dic lang
    Use alternate dictionary file specified by a ISO 639 language code, for example 'he', 'de', 'fr', 'es'

-o --out file
    Redirect output results to file instead of stdout

-h --html
    Print summary in highlighted html form

-k --keywords
    Print key words in the article

-a --about
    Print a short description of what the article is about

-v --version
    Display what version of ots this is

-? --help
    Display this help screen

--usage
    Display brief usage message

MORE INFORMATION
http://libots.sf.net/

AUTHORS
Nadav Rotem (nadav256@hotmail.com), Dom Lachowicz (cinamod@hotmail.com), Mark Gilbert